Skip to content

List Audit Entries

GET
/api/v1/audit-log

Return a page of tenant audit entries.

Permission: SYSTEM_VIEW (chairman / operator / viewer). Tenant scope is the caller’s tenant — cross-tenant lookups return an empty list (no 403, no 404).

Authorizations

Parameters

Query Parameters

page
integer
default: 1 >= 1
page_size
integer
default: 50 >= 1 <= 500
actor_id
Any of:
string format: uuid
action_type
Any of:
string

Comma-separated list of AuditAction values

from_date
Any of:
string format: date-time
to_date
Any of:
string format: date-time

Responses

200

Successful Response

Paginated audit log envelope.

object
entries
Array<object>

One audit entry as serialised on the wire.

object
action_type
required
string
actor_user_id
Any of:
string
after_json
Any of:
object
key
additional properties
any
before_json
Any of:
object
key
additional properties
any
created_at
required
string
entry_hash
required
string
id
required
string
ip_address
Any of:
string
prev_hash
required
string
target_id
Any of:
string
target_type
required
string
tenant_id
required
string
user_agent
Any of:
string
page
integer
default: 1
page_size
integer
default: 50
total
integer

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string